Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.util
Interface XMLSerializable

All Known Implementing Classes:
  AggregateConditionNode, ASTAdd, ASTAnd, ASTBetween, ASTDbPath, ASTDivide, ASTEqual, ASTFalse, ASTGreater, ASTGreaterOrEqual, ASTIn, ASTLess, ASTLessOrEqual, ASTLike, ASTLikeIgnoreCase, ASTList, ASTMultiply, ASTNamedParameter, ASTNegate, ASTNot, ASTNotBetween, ASTNotEqual, ASTNotIn, ASTNotLike, ASTNotLikeIgnoreCase, ASTObjPath, ASTOr, ASTPath, ASTScalar, ASTSubtract, ASTTrue, Attribute, ConditionNode, DataMap, DbAttribute, DbEntity, DbJoin, DbKeyGenerator, DbRelationship, DbRelationshipDetected, Embeddable, EmbeddableAttribute, EmbeddedAttribute, Entity, EntityListener, EODbAttribute, EOObjAttribute, EOObjEntity, EOQuery, EOSQLQuery, Expression, JpaAssociationOverride, JpaAttribute, JpaAttributeOverride, JpaAttributes, JpaBasic, JpaCascade, JpaColumn, JpaColumnResult, JpaDiscriminatorColumn, JpaEmbeddable, JpaEmbedded, JpaEmbeddedId, JpaEntity, JpaEntityListener, JpaEntityListeners, JpaEntityMap, JpaGeneratedValue, JpaId, JpaIdClass, JpaInheritance, JpaJoinColumn, JpaJoinTable, JpaLifecycleCallback, JpaManyToMany, JpaManyToOne, JpaNamedNativeQuery, JpaNamedQuery, JpaOneToMany, JpaOneToOne, JpaPersistenceUnitMetadata, JpaPrimaryKeyJoinColumn, JpaRelationship, JpaSecondaryTable, JpaSequenceGenerator, JpaSqlResultSetMapping, JpaTable, JpaTableGenerator, JpaTransient, JpaUniqueConstraint, JpaVersion, ObjAttribute, ObjEntity, ObjRelationship, Ordering, PatternMatchNode, PrefetchSelectQuery, PrefetchTreeNode, Procedure, ProcedureParameter, ProcedureQuery, Relationship, SelectQuery, SimpleNode, SQLTemplate

    public interface XMLSerializable

Interface for Cayenne objects that can be saved to XML.

Since:
  1.1
Author:
  Andrus Adamchik

Method Summary
`void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.

Method Detail

### encodeAsXML

    void encodeAsXML(XMLEncoder encoder)

  Prints itself as XML to the provided XMLEncoder.

  Since:
    1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.